Subject: Re: bug#8426: Glyph and cursor problem with emacs

From: Matthew Carey <[email-masked]>
Date: Tue, 05 Apr 2011 18:08:50 +0100

Thanks for coming back to me so promptly

The yellow is the selection and it should not hug the glyphs, but that is a less
horrible symptom than the ghost characters.

This is the output of C-u C-x =

        character: i (105, #o151, #x69)
preferred charset: ascii (ASCII (ISO646 IRV))
       code point: 0x69
           syntax: w 	which means: word
         category: .:Base, a:ASCII, l:Latin, r:Roman
      buffer code: #x69
        file code: #x69 (encoded by coding system undecided-unix)
          display: by this font (glyph code)
    xft:-unknown-DejaVu Sans Mono-normal-normal-normal-*-13-*-*-*-m-0-iso10646-1
(#x4C)

Character code properties: customize what to show
  name: LATIN SMALL LETTER I
  general-category: Ll (Letter, Lowercase)

There are text properties here:
  fontified            t

And no I would not expect Emacs to cope with broken fonts, unfortunately which
ever font a change to I get the same problem.

On 05/04/11 17:57, Eli Zaretskii wrote:
>> Date: Tue, 05 Apr 2011 11:06:30 +0100
>> From: Matthew Carey <[email-masked]>
>> Cc: 
>>
>> I attach an image to make the point clear.
> 
> Is that image after selecting the whole buffer, or is yellow the
> default background on that frame?
> 
> Also, what font is being used here?  You can see that by going to some
> of the characters and typing "C-u C-x =": Emacs will pop up a buffer
> which shows, among other things, what font is being used to display
> that character.
> 
>> 1 No matter how many fonts I install emacs should be able to cope.
> 
> Not if you install broken fonts, which, e.g., lie to Emacs about the
> character dimensions.  (I'm not saying this is what happened, but just
> don't expect Emacs to "cope" with bad fonts.)